COMLateBindingObject (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, class: COMLateBindingObject

Package com.sun.jna.platform.win32.COM

# Class COMLateBindingObject

java.lang.Object
com.sun.jna.PointerType
com.sun.jna.platform.win32.COM.COMInvoker
com.sun.jna.platform.win32.COM.COMBindingBaseObject
com.sun.jna.platform.win32.COM.COMLateBindingObject

All Implemented Interfaces:
  `NativeMapped`

public class COMLateBindingObject extends COMBindingBaseObject
Helper class to provide basic COM support.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Field Summary

  ### Fields inherited from class com.sun.jna.platform.win32.COM.COMBindingBaseObject

  `LOCALE_SYSTEM_DEFAULT, LOCALE_USER_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `COMLateBindingObject(IDispatch iDispatch)`
  Instantiates a new cOM object.
  `COMLateBindingObject(Guid.CLSID clsid, boolean useActiveInstance)`
  Instantiates a new cOM object.
  `COMLateBindingObject(String progId, boolean useActiveInstance)`
  Instantiates a new cOM object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected IDispatch`
  `getAutomationProperty(String propertyName)`
  Gets the automation property.
  `protected IDispatch`
  `getAutomationProperty(String propertyName, COMLateBindingObject comObject)`
  Deprecated.
  Use `getAutomationProperty(java.lang.String)`
  `protected IDispatch`
  `getAutomationProperty(String propertyName, COMLateBindingObject comObject, Variant.VARIANT value)`
  Deprecated.
  Use `getAutomationProperty(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
  `protected IDispatch`
  `getAutomationProperty(String propertyName, IDispatch iDispatch)`
  Deprecated.
  Use `getAutomationProperty(java.lang.String)`
  `protected IDispatch`
  `getAutomationProperty(String propertyName, Variant.VARIANT value)`
  Gets the automation property.
  `protected boolean`
  `getBooleanProperty(String propertyName)`
  Gets the boolean property.
  `protected Date`
  `getDateProperty(String propertyName)`
  Gets the date property.
  `protected int`
  `getIntProperty(String propertyName)`
  Gets the int property.
  `protected short`
  `getShortProperty(String propertyName)`
  Gets the short property.
  `protected String`
  `getStringProperty(String propertyName)`
  Gets the string property.
  `protected Variant.VARIANT`
  `invoke(String methodName)`
  Invoke.
  `protected Variant.VARIANT`
  `invoke(String methodName, Variant.VARIANT arg)`
  Invoke.
  `protected Variant.VARIANT`
  `invoke(String methodName, Variant.VARIANT[] args)`
  Invoke.
  `protected Variant.VARIANT`
  `invoke(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2)`
  Invoke.
  `protected Variant.VARIANT`
  `invoke(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3)`
  Invoke.
  `protected Variant.VARIANT`
  `invoke(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3, Variant.VARIANT arg4)`
  Invoke.
  `protected void`
  `invokeNoReply(String methodName)`
  Invoke no reply.
  `protected void`
  `invokeNoReply(String methodName, COMLateBindingObject comObject)`
  Deprecated.
  Use `invokeNoReply(java.lang.String)`
  `protected void`
  `invokeNoReply(String methodName, COMLateBindingObject comObject, Variant.VARIANT arg)`
  Deprecated.
  Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
  `protected void`
  `invokeNoReply(String methodName, COMLateBindingObject comObject, Variant.VARIANT arg1, Variant.VARIANT arg2)`
  Deprecated.
  Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT[])`
  `protected void`
  `invokeNoReply(String methodName, IDispatch dispatch)`
  Deprecated.
  Use `invokeNoReply(java.lang.String)`
  `protected void`
  `invokeNoReply(String methodName, IDispatch dispatch, Variant.VARIANT arg)`
  Deprecated.
  Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
  `protected void`
  `invokeNoReply(String methodName, IDispatch dispatch, Variant.VARIANT[] args)`
  Deprecated.
  Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT[])`
  `protected void`
  `invokeNoReply(String methodName, IDispatch dispatch, Variant.VARIANT arg1, Variant.VARIANT arg2)`
  Deprecated.
  Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT[])`
  `protected void`
  `invokeNoReply(String methodName, Variant.VARIANT arg)`
  Invoke no reply.
  `protected void`
  `invokeNoReply(String methodName, Variant.VARIANT[] args)`
  Invoke no reply.
  `protected void`
  `invokeNoReply(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2)`
  Invoke no reply.
  `protected void`
  `invokeNoReply(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3)`
  Invoke no reply.
  `protected void`
  `invokeNoReply(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3, Variant.VARIANT arg4)`
  Invoke no reply.
  `protected void`
  `setProperty(String propertyName, boolean value)`
  Sets the property.
  `protected void`
  `setProperty(String propertyName, int value)`
  Sets the property.
  `protected void`
  `setProperty(String propertyName, short value)`
  Sets the property.
  `protected void`
  `setProperty(String propertyName, COMLateBindingObject comObject, Variant.VARIANT value)`
  Deprecated.
  Use `setProperty(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
  `protected void`
  `setProperty(String propertyName, Dispatch value)`
  Sets the property.
  `protected void`
  `setProperty(String propertyName, IDispatch value)`
  Deprecated.
  Use `setProperty(java.lang.String, com.sun.jna.platform.win32.COM.Dispatch)`
  `protected void`
  `setProperty(String propertyName, IDispatch iDispatch, Variant.VARIANT value)`
  Deprecated.
  Use `setProperty(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
  `protected void`
  `setProperty(String propertyName, Variant.VARIANT value)`
  Sets the property.
  `protected void`
  `setProperty(String propertyName, String value)`
  Sets the property.
  `protected void`
  `setProperty(String propertyName, Date value)`
  Sets the property.
  `Variant.VARIANT`
  `toVariant()`
  To variant.

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMBindingBaseObject

  `checkFailed, getIDispatch, getIDispatchPointer, getIUnknown, getIUnknownPointer, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, oleMethod, release`

  ### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

  `_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

  ### Methods inherited from class com.sun.jna.PointerType

  `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### COMLateBindingObject

    public COMLateBindingObject(IDispatch iDispatch)
    Instantiates a new cOM object.
    Parameters:
      `iDispatch` - the i dispatch

  - ### COMLateBindingObject

    public COMLateBindingObject(Guid.CLSID clsid, boolean useActiveInstance)
    Instantiates a new cOM object.
    Parameters:
      `clsid` - the clsid
      `useActiveInstance` - the use active instance

  - ### COMLateBindingObject

    public COMLateBindingObject(String progId, boolean useActiveInstance) throws COMException
    Instantiates a new cOM object.
    Parameters:
      `progId` - the prog id
      `useActiveInstance` - the use active instance
    Throws:
      `COMException` - the automation exception

- ## Method Details

  - ### getAutomationProperty

    protected IDispatch getAutomationProperty(String propertyName)
    Gets the automation property.
    Parameters:
      `propertyName` - the property name
    Returns:
      the automation property

  - ### getAutomationProperty

    protected IDispatch getAutomationProperty(String propertyName, Variant.VARIANT value)
    Gets the automation property.
    Parameters:
      `propertyName` - the property name
      `value` - parameter to pass to the getter
    Returns:
      the automation property

  - ### getAutomationProperty

    @Deprecated protected IDispatch getAutomationProperty(String propertyName, COMLateBindingObject comObject)
    Deprecated.
    Use `getAutomationProperty(java.lang.String)`
    Gets the automation property.
    Parameters:
      `propertyName` - the property name
      `comObject` - the com object
    Returns:
      the automation property

  - ### getAutomationProperty

    @Deprecated protected IDispatch getAutomationProperty(String propertyName, COMLateBindingObject comObject, Variant.VARIANT value)
    Deprecated.
    Use `getAutomationProperty(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
    Gets the automation property.
    Parameters:
      `propertyName` - the property name
      `comObject` - the com object
      `value` - the value
    Returns:
      the automation property

  - ### getAutomationProperty

    @Deprecated protected IDispatch getAutomationProperty(String propertyName, IDispatch iDispatch)
    Deprecated.
    Use `getAutomationProperty(java.lang.String)`
    Gets the automation property.
    Parameters:
      `propertyName` - the property name
      `iDispatch` - the i dispatch
    Returns:
      the automation property

  - ### getBooleanProperty

    protected boolean getBooleanProperty(String propertyName)
    Gets the boolean property.
    Parameters:
      `propertyName` - the property name
    Returns:
      the boolean property

  - ### getDateProperty

    protected Date getDateProperty(String propertyName)
    Gets the date property.
    Parameters:
      `propertyName` - the property name
    Returns:
      the date property

  - ### getIntProperty

    protected int getIntProperty(String propertyName)
    Gets the int property.
    Parameters:
      `propertyName` - the property name
    Returns:
      the int property

  - ### getShortProperty

    protected short getShortProperty(String propertyName)
    Gets the short property.
    Parameters:
      `propertyName` - the property name
    Returns:
      the short property

  - ### getStringProperty

    protected String getStringProperty(String propertyName)
    Gets the string property.
    Parameters:
      `propertyName` - the property name
    Returns:
      the string property

  - ### invoke

    protected Variant.VARIANT invoke(String methodName)
    Invoke.
    Parameters:
      `methodName` - the method name
    Returns:
      the variant

  - ### invoke

    protected Variant.VARIANT invoke(String methodName, Variant.VARIANT arg)
    Invoke.
    Parameters:
      `methodName` - the method name
      `arg` - the arg
    Returns:
      the variant

  - ### invoke

    protected Variant.VARIANT invoke(String methodName, Variant.VARIANT[] args)
    Invoke.
    Parameters:
      `methodName` - the method name
      `args` - the args
    Returns:
      the variant

  - ### invoke

    protected Variant.VARIANT invoke(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2)
    Invoke.
    Parameters:
      `methodName` - the method name
      `arg1` - the arg1
      `arg2` - the arg2
    Returns:
      the variant

  - ### invoke

    protected Variant.VARIANT invoke(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3)
    Invoke.
    Parameters:
      `methodName` - the method name
      `arg1` - the arg1
      `arg2` - the arg2
      `arg3` - the arg3
    Returns:
      the variant

  - ### invoke

    protected Variant.VARIANT invoke(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3, Variant.VARIANT arg4)
    Invoke.
    Parameters:
      `methodName` - the method name
      `arg1` - the arg1
      `arg2` - the arg2
      `arg3` - the arg3
      `arg4` - the arg4
    Returns:
      the variant

  - ### invokeNoReply

    @Deprecated protected void invokeNoReply(String methodName, IDispatch dispatch)
    Deprecated.
    Use `invokeNoReply(java.lang.String)`
    Parameters:
      `methodName` -
      `dispatch` -

  - ### invokeNoReply

    @Deprecated protected void invokeNoReply(String methodName, COMLateBindingObject comObject)
    Deprecated.
    Use `invokeNoReply(java.lang.String)`
    Parameters:
      `methodName` -
      `comObject` -

  - ### invokeNoReply

    protected void invokeNoReply(String methodName, Variant.VARIANT arg)
    Invoke no reply.
    Parameters:
      `methodName` - the method name
      `arg` - the arg

  - ### invokeNoReply

    @Deprecated protected void invokeNoReply(String methodName, IDispatch dispatch, Variant.VARIANT arg)
    Deprecated.
    Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
    Parameters:
      `methodName` -
      `dispatch` -
      `arg` -

  - ### invokeNoReply

    @Deprecated protected void invokeNoReply(String methodName, IDispatch dispatch, Variant.VARIANT arg1, Variant.VARIANT arg2)
    Deprecated.
    Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT[])`
    Parameters:
      `methodName` -
      `arg2` -
      `dispatch` -
      `arg1` -

  - ### invokeNoReply

    @Deprecated protected void invokeNoReply(String methodName, COMLateBindingObject comObject, Variant.VARIANT arg1, Variant.VARIANT arg2)
    Deprecated.
    Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT[])`
    Parameters:
      `methodName` -
      `arg1` -
      `comObject` -
      `arg2` -

  - ### invokeNoReply

    @Deprecated protected void invokeNoReply(String methodName, COMLateBindingObject comObject, Variant.VARIANT arg)
    Deprecated.
    Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
    Parameters:
      `methodName` -
      `comObject` -
      `arg` -

  - ### invokeNoReply

    @Deprecated protected void invokeNoReply(String methodName, IDispatch dispatch, Variant.VARIANT[] args)
    Deprecated.
    Use `invokeNoReply(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT[])`
    Parameters:
      `methodName` -
      `dispatch` -
      `args` -

  - ### invokeNoReply

    protected void invokeNoReply(String methodName)
    Invoke no reply.
    Parameters:
      `methodName` - the method name

  - ### invokeNoReply

    protected void invokeNoReply(String methodName, Variant.VARIANT[] args)
    Invoke no reply.
    Parameters:
      `methodName` - the method name
      `args` - the args

  - ### invokeNoReply

    protected void invokeNoReply(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2)
    Invoke no reply.
    Parameters:
      `methodName` - the method name
      `arg1` - the arg1
      `arg2` - the arg2

  - ### invokeNoReply

    protected void invokeNoReply(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3)
    Invoke no reply.
    Parameters:
      `methodName` - the method name
      `arg1` - the arg1
      `arg2` - the arg2
      `arg3` - the arg3

  - ### invokeNoReply

    protected void invokeNoReply(String methodName, Variant.VARIANT arg1, Variant.VARIANT arg2, Variant.VARIANT arg3, Variant.VARIANT arg4)
    Invoke no reply.
    Parameters:
      `methodName` - the method name
      `arg1` - the arg1
      `arg2` - the arg2
      `arg3` - the arg3
      `arg4` - the arg4

  - ### setProperty

    protected void setProperty(String propertyName, boolean value)
    Sets the property.
    Parameters:
      `propertyName` - the property name
      `value` - the value

  - ### setProperty

    protected void setProperty(String propertyName, Date value)
    Sets the property.
    Parameters:
      `propertyName` - the property name
      `value` - the value

  - ### setProperty

    protected void setProperty(String propertyName, Dispatch value)
    Sets the property.
    Parameters:
      `propertyName` - the property name
      `value` - the value

  - ### setProperty

    @Deprecated protected void setProperty(String propertyName, IDispatch value)
    Deprecated.
    Use `setProperty(java.lang.String, com.sun.jna.platform.win32.COM.Dispatch)`
    Parameters:
      `propertyName` -
      `value` -

  - ### setProperty

    protected void setProperty(String propertyName, int value)
    Sets the property.
    Parameters:
      `propertyName` - the property name
      `value` - the value

  - ### setProperty

    protected void setProperty(String propertyName, short value)
    Sets the property.
    Parameters:
      `propertyName` - the property name
      `value` - the value

  - ### setProperty

    protected void setProperty(String propertyName, String value)
    Sets the property.
    Parameters:
      `propertyName` - the property name
      `value` - the value

  - ### setProperty

    protected void setProperty(String propertyName, Variant.VARIANT value)
    Sets the property.
    Parameters:
      `propertyName` - the property name
      `value` - the value

  - ### setProperty

    @Deprecated protected void setProperty(String propertyName, IDispatch iDispatch, Variant.VARIANT value)
    Deprecated.
    Use `setProperty(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
    Parameters:
      `propertyName` -
      `iDispatch` -
      `value` -

  - ### setProperty

    @Deprecated protected void setProperty(String propertyName, COMLateBindingObject comObject, Variant.VARIANT value)
    Deprecated.
    Use `setProperty(java.lang.String, com.sun.jna.platform.win32.Variant.VARIANT)`
    Parameters:
      `propertyName` -
      `comObject` -
      `value` -

  - ### toVariant

    public Variant.VARIANT toVariant()
    To variant.
    Returns:
      the variant